# H245NegRoundTripDelay Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegRoundTripDelay:

[legend]
Collaboration diagram for H245NegRoundTripDelay:
[legend]

## Public Member Functions

| H245NegRoundTripDelay (H323EndPoint &endpoint, H323Connection &connection)
PBoolean | StartRequest ()
PBoolean | HandleRequest (const H245_RoundTripDelayRequest &pdu)
PBoolean | HandleResponse (const H245_RoundTripDelayResponse &pdu)
void | HandleTimeout ()
PTimeInterval | GetRoundTripDelay () const
PBoolean | IsRemoteOffline () const

## Protected Attributes

PBoolean | awaitingResponse
unsigned | sequenceNumber
PTimeInterval | tripStartTime
PTimeInterval | roundTripTime
unsigned | retryCount

## Detailed Description

Request mode change as per H245 section 8.9

## Constructor & Destructor Documentation

H245NegRoundTripDelay::H245NegRoundTripDelay | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

PTimeInterval H245NegRoundTripDelay::GetRoundTripDelay | ( |  | ) | const`[inline]`

PBoolean H245NegRoundTripDelay::HandleRequest | ( | const H245_RoundTripDelayRequest & | pdu | ) |

PBoolean H245NegRoundTripDelay::HandleResponse | ( | const H245_RoundTripDelayResponse & | pdu | ) |

void H245NegRoundTripDelay::HandleTimeout | ( |  | ) | `[virtual]`

Reimplemented from H245Negotiator.

PBoolean H245NegRoundTripDelay::IsRemoteOffline | ( |  | ) | const`[inline]`

PBoolean H245NegRoundTripDelay::StartRequest | ( |  | ) |

## Field Documentation

PBoolean H245NegRoundTripDelay::awaitingResponse `[protected]`

unsigned H245NegRoundTripDelay::retryCount `[protected]`

PTimeInterval H245NegRoundTripDelay::roundTripTime `[protected]`

unsigned H245NegRoundTripDelay::sequenceNumber `[protected]`

PTimeInterval H245NegRoundTripDelay::tripStartTime `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h